View Issue Details

IDProjectCategoryView StatusLast Update
0002554SymmetricDSBugpublic2019-04-24 08:35
ReporterazarubkinAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.7.29 
Target VersionFixed in Version3.7.32 
Summary0002554: Initial Load fails with NullPointerException when no transforms are defined.
DescriptionThis has happened since 0002486 was fixed. Now any initial load attempt fails with NullPointerException on my configuration. I think this is due to TransformService.findTransformsFor function returning null if no transforms are defined.
I'm attaching a crash dump.
Additional Information2016-04-06 16:37:24,727 ERROR [main] [RouterService] [main-job-15]
java.lang.NullPointerException
at org.jumpmind.symmetric.service.impl.TransformService.findTransformsFor(TransformService.java:184)
at org.jumpmind.symmetric.service.impl.DataService.insertPurgeEvent(DataService.java:727)
at org.jumpmind.symmetric.service.impl.DataService.insertDeleteBatchesForReload(DataService.java:591)
at org.jumpmind.symmetric.service.impl.DataService.insertReloadEvents(DataService.java:390)
at org.jumpmind.symmetric.service.impl.RouterService.insertInitialLoadEvents(RouterService.java:233)
at org.jumpmind.symmetric.service.impl.RouterService.routeData(RouterService.java:171)
at org.jumpmind.symmetric.job.RouterJob.doJob(RouterJob.java:40)
at org.jumpmind.symmetric.job.AbstractJob.invoke(AbstractJob.java:180)
at org.jumpmind.symmetric.job.AbstractJob.run(AbstractJob.java:224)
at org.springframework.scheduling.support.DelegatingErrorHandlingRunnable.run(DelegatingErrorHandlingRunnable.java:54)
at java.util.concurrent.Executors$RunnableAdapter.call(Unknown Source)
at java.util.concurrent.FutureTask.runAndReset(Unknown Source)
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(Unknown Source)
at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(Unknown Source)
at java.util.concurrent.ThreadPoolExecutor.runWorker(Unknown Source)
at java.util.concurrent.ThreadPoolExecutor$Worker.run(Unknown Source)
at java.lang.Thread.run(Unknown Source)
TagsNo tags attached.

Activities

elong

2016-04-07 10:48

developer   ~0000780

I think this is fixed in 3.7.32 because I see I null check on that line of code now. Can you retest on version 3.7.32 and confirm it's fixed?

azarubkin

2016-04-19 10:28

reporter   ~0000785

Yes, I confirm it's fixed in 3.7.32.

Issue History

Date Modified Username Field Change
2016-04-07 10:28 azarubkin New Issue
2016-04-07 10:48 elong Note Added: 0000780
2016-04-07 10:48 elong Status new => feedback
2016-04-19 10:28 azarubkin Note Added: 0000785
2016-04-19 10:28 azarubkin Status feedback => new
2019-04-24 08:35 elong Assigned To => elong
2019-04-24 08:35 elong Status new => closed
2019-04-24 08:35 elong Resolution open => fixed
2019-04-24 08:35 elong Fixed in Version => 3.7.32